<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>RoomDaoImpl</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="declaration: package: org.vtokarev.dao.mysql, class: RoomDaoImpl">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field-detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">org.vtokarev.dao.mysql</a></div>
<h1 title="Class RoomDaoImpl" class="title">Class RoomDaoImpl</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance"><a href="BaseDaoImpl.html" title="class in org.vtokarev.dao.mysql">org.vtokarev.dao.mysql.BaseDaoImpl</a>
<div class="inheritance">org.vtokarev.dao.mysql.RoomDaoImpl</div>
</div>
</div>
<section class="class-description" id="class-description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../GenericDao.html" title="interface in org.vtokarev.dao">GenericDao</a>&lt;<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&gt;</code>, <code><a href="../RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></code></dd>
</dl>
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">RoomDaoImpl</span>
<span class="extends-implements">extends <a href="BaseDaoImpl.html" title="class in org.vtokarev.dao.mysql">BaseDaoImpl</a>
implements <a href="../RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></span></div>
<div class="block"><code>RoomDaoImpl</code> class is an implementation of <a href="../RoomDao.html" title="interface in org.vtokarev.dao"><code>RoomDao</code></a> interface for MySQL persistence layer backend.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="caption"><span>Fields</span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>static final <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color"><code><a href="#DELETE_BY_ID" class="member-name-link">DELETE_BY_ID</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>static final <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color"><code><a href="#GET_ALL_ROOMS_EDIT_DTO" class="member-name-link">GET_ALL_ROOMS_EDIT_DTO</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>static final <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color"><code><a href="#INSERT" class="member-name-link">INSERT</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>static final <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second odd-row-color"><code><a href="#UPDATE_BY_ID" class="member-name-link">UPDATE_BY_ID</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
<div class="inherited-list">
<h3 id="fields-inherited-from-class-org.vtokarev.dao.mysql.BaseDaoImpl">Fields inherited from class&nbsp;org.vtokarev.dao.mysql.<a href="BaseDaoImpl.html" title="class in org.vtokarev.dao.mysql">BaseDaoImpl</a></h3>
<code><a href="BaseDaoImpl.html#dataSource">dataSource</a>, <a href="BaseDaoImpl.html#logger">logger</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(javax.sql.DataSource,java.lang.String)" class="member-name-link">RoomDaoImpl</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.sql/javax/sql/DataSource.html" title="class or interface in javax.sql" class="external-link">DataSource</a>&nbsp;dataSource,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;imagesRealPath)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#create(org.vtokarev.domain.Room)" class="member-name-link">create</a><wbr>(<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&nbsp;room)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#delete(org.vtokarev.domain.Room)" class="member-name-link">delete</a><wbr>(<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&nbsp;room)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#deleteImageDirectory(org.vtokarev.domain.Room)" class="member-name-link">deleteImageDirectory</a><wbr>(<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&nbsp;room)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Optional.html" title="class or interface in java.util" class="external-link">Optional</a>&lt;<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#get(long)" class="member-name-link">get</a><wbr>(long&nbsp;id)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getAll()" class="member-name-link">getAll</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../../dto/RoomEditDto.html" title="class in org.vtokarev.dto">RoomEditDto</a>&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getAllRoomsEditDto()" class="member-name-link">getAllRoomsEditDto</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../../dto/RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getBookingRooms(java.time.LocalDate,java.time.LocalDate,boolean,java.lang.Long,java.lang.Integer,java.lang.String,java.lang.Integer,java.lang.Integer)" class="member-name-link">getBookingRooms</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;checkin,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;checkout,
 boolean&nbsp;showOnlyAvailable,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Long.html" title="class or interface in java.lang" class="external-link">Long</a>&nbsp;roomClassId,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a>&nbsp;personsNumber,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;orderBy,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a>&nbsp;limit,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a>&nbsp;offset)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getBookingRoomsCount(java.time.LocalDate,java.time.LocalDate,boolean,java.lang.Long,java.lang.Integer)" class="member-name-link">getBookingRoomsCount</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;checkin,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;checkout,
 boolean&nbsp;showOnlyAvailable,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Long.html" title="class or interface in java.lang" class="external-link">Long</a>&nbsp;roomClassId,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a>&nbsp;personsNumber)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Optional.html" title="class or interface in java.util" class="external-link">Optional</a>&lt;<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&gt;</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getByNumber(java.lang.String)" class="member-name-link">getByNumber</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;number)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../../tuples/Pair.html" title="class in org.vtokarev.tuples">Pair</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;&gt;</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getImagePaths(org.vtokarev.domain.Room)" class="member-name-link">getImagePaths</a><wbr>(<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&nbsp;room)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getImageRealPathDirectory(org.vtokarev.domain.Room)" class="member-name-link">getImageRealPathDirectory</a><wbr>(<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&nbsp;room)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getMaxCapacity()" class="member-name-link">getMaxCapacity</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#update(org.vtokarev.domain.Room)" class="member-name-link">update</a><wbr>(<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&nbsp;room)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-org.vtokarev.dao.mysql.BaseDaoImpl">Methods inherited from class&nbsp;org.vtokarev.dao.mysql.<a href="BaseDaoImpl.html" title="class in org.vtokarev.dao.mysql">BaseDaoImpl</a></h3>
<code><a href="BaseDaoImpl.html#close(java.lang.AutoCloseable)">close</a>, <a href="BaseDaoImpl.html#getConnection()">getConnection</a></code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field-detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="INSERT">
<h3>INSERT</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">INSERT</span></div>
<dl class="notes">
<dt>See Also:</dt>
<dd>
<ul class="see-list">
<li><a href="../../../../constant-values.html#org.vtokarev.dao.mysql.RoomDaoImpl.INSERT">Constant Field Values</a></li>
</ul>
</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="UPDATE_BY_ID">
<h3>UPDATE_BY_ID</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">UPDATE_BY_ID</span></div>
<dl class="notes">
<dt>See Also:</dt>
<dd>
<ul class="see-list">
<li><a href="../../../../constant-values.html#org.vtokarev.dao.mysql.RoomDaoImpl.UPDATE_BY_ID">Constant Field Values</a></li>
</ul>
</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="GET_ALL_ROOMS_EDIT_DTO">
<h3>GET_ALL_ROOMS_EDIT_DTO</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">GET_ALL_ROOMS_EDIT_DTO</span></div>
<dl class="notes">
<dt>See Also:</dt>
<dd>
<ul class="see-list">
<li><a href="../../../../constant-values.html#org.vtokarev.dao.mysql.RoomDaoImpl.GET_ALL_ROOMS_EDIT_DTO">Constant Field Values</a></li>
</ul>
</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="DELETE_BY_ID">
<h3>DELETE_BY_ID</h3>
<div class="member-signature"><span class="modifiers">public static final</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">DELETE_BY_ID</span></div>
<dl class="notes">
<dt>See Also:</dt>
<dd>
<ul class="see-list">
<li><a href="../../../../constant-values.html#org.vtokarev.dao.mysql.RoomDaoImpl.DELETE_BY_ID">Constant Field Values</a></li>
</ul>
</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(javax.sql.DataSource,java.lang.String)">
<h3>RoomDaoImpl</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">RoomDaoImpl</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.sql/javax/sql/DataSource.html" title="class or interface in javax.sql" class="external-link">DataSource</a>&nbsp;dataSource,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;imagesRealPath)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="get(long)">
<h3>get</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Optional.html" title="class or interface in java.util" class="external-link">Optional</a>&lt;<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&gt;</span>&nbsp;<span class="element-name">get</span><wbr><span class="parameters">(long&nbsp;id)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../GenericDao.html#get(long)">get</a></code>&nbsp;in interface&nbsp;<code><a href="../GenericDao.html" title="interface in org.vtokarev.dao">GenericDao</a>&lt;<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&gt;</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getByNumber(java.lang.String)">
<h3>getByNumber</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Optional.html" title="class or interface in java.util" class="external-link">Optional</a>&lt;<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&gt;</span>&nbsp;<span class="element-name">getByNumber</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;number)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../RoomDao.html#getByNumber(java.lang.String)">getByNumber</a></code>&nbsp;in interface&nbsp;<code><a href="../RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAll()">
<h3>getAll</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&gt;</span>&nbsp;<span class="element-name">getAll</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../GenericDao.html#getAll()">getAll</a></code>&nbsp;in interface&nbsp;<code><a href="../GenericDao.html" title="interface in org.vtokarev.dao">GenericDao</a>&lt;<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&gt;</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="create(org.vtokarev.domain.Room)">
<h3>create</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">create</span><wbr><span class="parameters">(<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&nbsp;room)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../GenericDao.html#create(T)">create</a></code>&nbsp;in interface&nbsp;<code><a href="../GenericDao.html" title="interface in org.vtokarev.dao">GenericDao</a>&lt;<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&gt;</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="update(org.vtokarev.domain.Room)">
<h3>update</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">update</span><wbr><span class="parameters">(<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&nbsp;room)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../GenericDao.html#update(T)">update</a></code>&nbsp;in interface&nbsp;<code><a href="../GenericDao.html" title="interface in org.vtokarev.dao">GenericDao</a>&lt;<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&gt;</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="delete(org.vtokarev.domain.Room)">
<h3>delete</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">delete</span><wbr><span class="parameters">(<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&nbsp;room)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../GenericDao.html#delete(T)">delete</a></code>&nbsp;in interface&nbsp;<code><a href="../GenericDao.html" title="interface in org.vtokarev.dao">GenericDao</a>&lt;<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&gt;</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getMaxCapacity()">
<h3>getMaxCapacity</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getMaxCapacity</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../RoomDao.html#getMaxCapacity()">getMaxCapacity</a></code>&nbsp;in interface&nbsp;<code><a href="../RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getBookingRooms(java.time.LocalDate,java.time.LocalDate,boolean,java.lang.Long,java.lang.Integer,java.lang.String,java.lang.Integer,java.lang.Integer)">
<h3>getBookingRooms</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../../dto/RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a>&gt;</span>&nbsp;<span class="element-name">getBookingRooms</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;checkin,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;checkout,
 boolean&nbsp;showOnlyAvailable,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Long.html" title="class or interface in java.lang" class="external-link">Long</a>&nbsp;roomClassId,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a>&nbsp;personsNumber,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;orderBy,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a>&nbsp;limit,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a>&nbsp;offset)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../RoomDao.html#getBookingRooms(java.time.LocalDate,java.time.LocalDate,boolean,java.lang.Long,java.lang.Integer,java.lang.String,java.lang.Integer,java.lang.Integer)">getBookingRooms</a></code>&nbsp;in interface&nbsp;<code><a href="../RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getBookingRoomsCount(java.time.LocalDate,java.time.LocalDate,boolean,java.lang.Long,java.lang.Integer)">
<h3>getBookingRoomsCount</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getBookingRoomsCount</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;checkin,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/time/LocalDate.html" title="class or interface in java.time" class="external-link">LocalDate</a>&nbsp;checkout,
 boolean&nbsp;showOnlyAvailable,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Long.html" title="class or interface in java.lang" class="external-link">Long</a>&nbsp;roomClassId,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a>&nbsp;personsNumber)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../RoomDao.html#getBookingRoomsCount(java.time.LocalDate,java.time.LocalDate,boolean,java.lang.Long,java.lang.Integer)">getBookingRoomsCount</a></code>&nbsp;in interface&nbsp;<code><a href="../RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAllRoomsEditDto()">
<h3>getAllRoomsEditDto</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../../dto/RoomEditDto.html" title="class in org.vtokarev.dto">RoomEditDto</a>&gt;</span>&nbsp;<span class="element-name">getAllRoomsEditDto</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../RoomDao.html#getAllRoomsEditDto()">getAllRoomsEditDto</a></code>&nbsp;in interface&nbsp;<code><a href="../RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getImagePaths(org.vtokarev.domain.Room)">
<h3>getImagePaths</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../../tuples/Pair.html" title="class in org.vtokarev.tuples">Pair</a>&lt;<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>,<wbr><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;&gt;</span>&nbsp;<span class="element-name">getImagePaths</span><wbr><span class="parameters">(<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&nbsp;room)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../RoomDao.html#getImagePaths(org.vtokarev.domain.Room)">getImagePaths</a></code>&nbsp;in interface&nbsp;<code><a href="../RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getImageRealPathDirectory(org.vtokarev.domain.Room)">
<h3>getImageRealPathDirectory</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a></span>&nbsp;<span class="element-name">getImageRealPathDirectory</span><wbr><span class="parameters">(<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&nbsp;room)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../RoomDao.html#getImageRealPathDirectory(org.vtokarev.domain.Room)">getImageRealPathDirectory</a></code>&nbsp;in interface&nbsp;<code><a href="../RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="deleteImageDirectory(org.vtokarev.domain.Room)">
<h3>deleteImageDirectory</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">deleteImageDirectory</span><wbr><span class="parameters">(<a href="../../domain/Room.html" title="class in org.vtokarev.domain">Room</a>&nbsp;room)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../RoomDao.html#deleteImageDirectory(org.vtokarev.domain.Room)">deleteImageDirectory</a></code>&nbsp;in interface&nbsp;<code><a href="../RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
